cudnn_frontend::ExecutionPlanCache_v1
cudnn_frontend::ExecutionPlanCache_v2
cudnn_frontend_ExecutionPlanCache.h
cudnn_frontend::ExecutionPlanCache_v1::compare
std::map< cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare > using cudnn_frontend::ExecutionPlanCache_v1::FeatureVectorToPlanMap = std::map<cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare> FeatureVectorToPlanMap

String to map of feature_vector to execution plan For a given FeatureVector of type T according to the Operation Graph, we get the plan.

std::string std::string cudnn_frontend::ExecutionPlanCache_v1::name name = "plan_cache_[unnamed]" get_name cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable
FeatureVectorToPlanMap FeatureVectorToPlanMap cudnn_frontend::ExecutionPlanCache_v1::cache cache
std::mutex std::mutex cudnn_frontend::ExecutionPlanCache_v1::cache_mutex cache_mutex cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable
bool virtual bool cudnn_frontend::ExecutionPlanCache_v1::is_fastest_plan_stable (const cudnn_frontend::OperationGraph &op_graph, const std::string &tag) is_fastest_plan_stable is_fastest_plan_stable const cudnn_frontend::OperationGraph & op_graph const std::string & tag
void void cudnn_frontend::ExecutionPlanCache_v1::add_plan_to_cache (const cudnn_frontend::OperationGraph &op_graph, const cudnn_frontend::ExecutionPlan &plan) add_plan_to_cache const cudnn_frontend::OperationGraph & op_graph const cudnn_frontend::ExecutionPlan & plan cudnn_frontend::OperationGraph_v8::getFeatureVector cudnn_frontend::getLogger cudnn_frontend::OperationGraph_v8::getTag
cudnn_frontend::ExecutionPlanCache_v1::ExecutionPlanCache_v1
(const char *name_)
ExecutionPlanCache_v1
const char * name_
const std::string & const std::string& cudnn_frontend::ExecutionPlanCache_v1::get_name () const get_name name
bool bool cudnn_frontend::ExecutionPlanCache_v1::get_plan_from_cache (const cudnn_frontend::OperationGraph &op_graph, const cudnn_frontend::ExecutionPlan *&plan) const get_plan_from_cache const cudnn_frontend::OperationGraph & op_graph const cudnn_frontend::ExecutionPlan *& plan cudnn_frontend::OperationGraph_v8::getFeatureVector cudnn_frontend::getLogger cudnn_frontend::ExecutionPlanCache_v2::is_fastest_plan_stable

Plan Cache structure for the above table.

cudnn_frontend::ExecutionPlanCache_v1
cudnn_frontend::ExecutionPlanCache_v2
shared_ptr< OpaqueBackendPointer >
K
T
cudnnHandle_t
std::vector< T >
+elements
std::array< T >
+elements
std::map< K, T >
+keys
+elements
std::vector< int64_t >
+elements
< int64_t >
float
cudnnBackendNumericalNote_t
cudnnStatus_t
std::basic_string< char >
std::array< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT >
+elements
< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT >
cudnn_frontend::ExecutionPlanCache_v1
#cache
#cache_mutex
#name
cudnn_frontend::ExecutionPlan_v8
-execution_time_ms
-numeric_notes
-planTag
-handle
-engine_config
-workSpaceSize
mutex
int64_t
cudnn_frontend::BackendDescriptor
#err_msg
#pointer
#status
std::map< cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare >
+elements
+keys
< cudnn_frontend::feature_vector_t, cudnn_frontend::ExecutionPlan, cudnn_frontend::ExecutionPlanCache_v1::compare >
std::string
- cudnn_frontend::ExecutionPlanCache_v1
  add_plan_to_cache
- cudnn_frontend::ExecutionPlanCache_v1
  cache
- cudnn_frontend::ExecutionPlanCache_v1
  cache_mutex
- cudnn_frontend::ExecutionPlanCache_v1
  ExecutionPlanCache_v1
- cudnn_frontend::ExecutionPlanCache_v1
  FeatureVectorToPlanMap
- cudnn_frontend::ExecutionPlanCache_v1
  get_name
- cudnn_frontend::ExecutionPlanCache_v1
  get_plan_from_cache
- cudnn_frontend::ExecutionPlanCache_v1
  is_fastest_plan_stable
- cudnn_frontend::ExecutionPlanCache_v1
  name